## ATSC variants of MPEG-TS descriptors

ATSC variants of MPEG-TS descriptors — Descriptors for the various ATSC specifications

## Types and Values

enum | GstMpegtsATSCDescriptorType

## Includes

    #include <gst/mpegts/mpegts.h>

## Description

## Functions

## Types and Values

### enum GstMpegtsATSCDescriptorType

These values correspond to the registered descriptor type from the various ATSC specifications.

Consult the relevant specifications for more details.

#### Members

GST_MTS_DESC_ATSC_STUFFING |  |
GST_MTS_DESC_ATSC_AC3 |  |
GST_MTS_DESC_ATSC_CAPTION_SERVICE |  |
GST_MTS_DESC_ATSC_CONTENT_ADVISORY |  |
GST_MTS_DESC_ATSC_EXTENDED_CHANNEL_NAME |  |
GST_MTS_DESC_ATSC_SERVICE_LOCATION |  |
GST_MTS_DESC_ATSC_TIME_SHIFTED_SERVICE |  |
GST_MTS_DESC_ATSC_COMPONENT_NAME |  |
GST_MTS_DESC_ATSC_DCC_DEPARTING_REQUEST |  |
GST_MTS_DESC_ATSC_DCC_ARRIVING_REQUEST |  |
GST_MTS_DESC_ATSC_REDISTRIBUTION_CONTROL |  |
GST_MTS_DESC_ATSC_GENRE |  |
GST_MTS_DESC_ATSC_PRIVATE_INFORMATION |  |
GST_MTS_DESC_ATSC_ENHANCED_SIGNALING |  |
GST_MTS_DESC_ATSC_DATA_SERVICE |  |
GST_MTS_DESC_ATSC_PID_COUNT |  |
GST_MTS_DESC_ATSC_DOWNLOAD_DESCRIPTOR |  |
GST_MTS_DESC_ATSC_MULTIPROTOCOL_ENCAPSULATION |  |
GST_MTS_DESC_ATSC_MODULE_LINK |  |
GST_MTS_DESC_ATSC_CRC32 |  |
GST_MTS_DESC_ATSC_GROUP_LINK |  |